---
description: wxGUI Timeline Tool
index: topic_GUI|GUI
---

# wxGUI Timeline Tool

## DESCRIPTION

The **Timeline Tool** is a *[wxGUI](wxGUI.md)* component which allows
the user to compare the extents of temporal datasets (strds, stvds,
str3ds) in a plot.

Supported features:

- temporal datasets with interval/point and absolute/relative time
- 2D plots - temporal extent
- 3D plots - spatio-temporal extent (matplotlib \>= 1.0.0)
- pop-up annotations with basic metadata

![Timeline Tool screenshot](timeline_2D.jpg)

## NOTES

*g.gui.timeline* requires the Python plotting library
[Matplotlib](https://matplotlib.org/).

## SEE ALSO

*[Temporal data processing](temporal.md), [wxGUI](wxGUI.md), [wxGUI
components](wxGUI.components.md)*

## AUTHOR

Anna Kratochvilova, [Czech Technical University in
Prague](https://www.cvut.cz), Czech Republic

## SOURCE CODE

Available at: [g.gui.timeline source code](https://github.com/OSGeo/grass/tree/main/gui/wxpython/timeline)
([history](https://github.com/OSGeo/grass/commits/main/gui/wxpython/timeline))  
Latest change: Thursday May 22 05:23:53 2025 in commit [199e858](https://github.com/OSGeo/grass/commit/199e858c3770ff4c3b2b6ad073c1374169adbece)
